# Authorize site access

`POST /v1/projects/{project}/sites/{site}/authorize-access`, operation `sites.AuthorizeSiteAccess`

Returns where a person's browser goes to open a private site: the site's sign-in address, with a grant of a minute for the caller and the site, which the sites' server exchanges for a cookie of the site's host alone. Only people open private sites.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `project` | path | Yes | `string` | The project's ID. |
| `site` | path | Yes | `string` | The site's ID. |

## Request body

Content-Type: `application/json` (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `path` | `string` | No | The path to open on the site, starting with /; / unless set. |

## Responses

### 200

OK

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `redirectUri` | `string` | Yes | The site's sign-in address, with a grant of a minute for the caller and the site, which leads on to the path. |

### default

Error

Base URL: `https://api.kosem.ai`. See [API conventions](https://docs.kosem.ai/reference/api-conventions.md) for authentication, pagination and errors, and [https://docs.kosem.ai/openapi.yaml](https://docs.kosem.ai/openapi.yaml) for the full OpenAPI document.